oracle.jdbc.babelfish

## Class BabelfishCallableStatement

- java.lang.Object
- - oracle.jdbc.babelfish.BabelfishGenericProxy
  - - oracle.jdbc.babelfish.BabelfishStatement
    - - oracle.jdbc.babelfish.BabelfishPreparedStatement
      - - oracle.jdbc.babelfish.BabelfishCallableStatement

    public abstract class BabelfishCallableStatement
    extends BabelfishPreparedStatement

Proxy Superclass for java.sql.CallableStatement interface. It is used by the Oracle JDBC proxy library to proxify java.sql.CallableStatement objects to support the auto translation features.

### Constructor Summary

Constructors
Constructor and Description
`BabelfishCallableStatement()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract Object` `getCreator()`
`protected abstract Object` `getDelegate()`
`protected Object` `post_Methods(Method m, Object result)` Post interceptor.
`void` `registerOutParameter(int parameterIndex, int sqlType)` Translation compliant implementation of java.sql.CallableStatement#registerOutParameter(int, int)
`void` `registerOutParameter(int parameterIndex, int sqlType, int scale)` Translation compliant implementation of java.sql.CallableStatement#registerOutParameter(int, int, int)
`void` `registerOutParameter(int parameterIndex, int sqlType, String typeName)` Translation compliant implementation of java.sql.CallableStatement#registerOutParameter(int, int, java.lang.String)
`protected Object` `translateError(Method m, SQLException ex)` Interceptor for translation of errors.

### Methods inherited from class oracle.jdbc.babelfish.BabelfishPreparedStatement

`proxify, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class oracle.jdbc.babelfish.BabelfishStatement

`addBatch, execute, execute, execute, execute, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BabelfishCallableStatement

    public BabelfishCallableStatement()

### Method Detail

#### getCreator

    protected abstract Object getCreator()

Specified by:
  `getCreator` in class `BabelfishPreparedStatement`
Returns:

#### getDelegate

    protected abstract Object getDelegate()

Specified by:
  `getDelegate` in class `BabelfishPreparedStatement`
Returns:

#### translateError

    protected Object translateError(Method m,
                                    SQLException ex)
                             throws SQLException

Interceptor for translation of errors.

Overrides:
  `translateError` in class `BabelfishPreparedStatement`
Returns:
Throws:
  `SQLException`

#### post_Methods

    protected Object post_Methods(Method m,
                                  Object result)

Post interceptor. sets up the translator in relevant objects required for handling error translation in those objects.

Overrides:
  `post_Methods` in class `BabelfishPreparedStatement`
Returns:

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws SQLException

Translation compliant implementation of java.sql.CallableStatement#registerOutParameter(int, int)

Parameters:
  `parameterIndex` -
  `sqlType` -
Throws:
  `SQLException`
See Also:
  `CallableStatement.registerOutParameter(int, int)`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws SQLException

Translation compliant implementation of java.sql.CallableStatement#registerOutParameter(int, int, int)

Parameters:
  `parameterIndex` -
  `sqlType` -
  `scale` -
Throws:
  `SQLException`
See Also:
  `CallableStatement.registerOutParameter(int, int, int)`

#### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     String typeName)
                              throws SQLException

Translation compliant implementation of java.sql.CallableStatement#registerOutParameter(int, int, java.lang.String)

Parameters:
  `parameterIndex` -
  `sqlType` -
  `typeName` -
Throws:
  `SQLException`
See Also:
  `CallableStatement.registerOutParameter(int, int, java.lang.String)`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.